CreateNotificationTarget
Creates a notification target.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/notification-targets \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"action": {
"action_type": "ACTION_TYPE_UNSPECIFIED",
"exclude_endor_url": true,
"public": true
}
},
"propagate": true,
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/notification-targets"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": { "action": {
"action_type": "ACTION_TYPE_UNSPECIFIED",
"exclude_endor_url": True,
"public": True
} },
"propagate": True,
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
action: {action_type: 'ACTION_TYPE_UNSPECIFIED', exclude_endor_url: true, public: true}
},
propagate: true,
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/notification-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"action": {
"action_type": "ACTION_TYPE_UNSPECIFIED",
"ado_boards_config": {
"projects": [
{
"project_name": "<string>",
"work_item_type": "<string>",
"child_work_item_type": "<string>",
"project_guid": "<string>",
"tags": [
"<string>"
]
}
],
"installation_uuid": "<string>",
"user_config": {
"auth": {
"pat": {
"token": "<string>"
}
},
"org_url": "<string>"
}
},
"email_config": {
"receivers_addresses": [
"<string>"
]
},
"exclude_endor_url": true,
"github_pr_config": {
"enabled": true
},
"jira_config": {
"labels": [
"<string>"
],
"project_key": "<string>",
"url": "<string>",
"api_key": "<string>",
"bearer_token": "<string>",
"cloud_id": "<string>",
"components": [
"<string>"
],
"custom_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"issue_type": "JIRA_ISSUE_TYPE_UNSPECIFIED",
"jira_child_issue_type": "<string>",
"jira_issue_type": "<string>",
"resolve_state": "<string>",
"use_bearer_token": true,
"user_name": "<string>"
},
"public": true,
"slack_config": {
"webhook_url": "<string>"
},
"vanta_config": {
"auth_method": "VANTA_AUTH_METHOD_UNSPECIFIED",
"vulnerable_component_resource_id": "<string>",
"access_token_auth": {
"access_token": "<string>",
"client_id": "<string>",
"client_secret": "<string>"
},
"api_key": "<string>",
"package_vulnerability_resource_id": "<string>",
"sca_resource_id": "<string>"
},
"webhook_config": {
"auth_method": "WEBHOOK_AUTH_METHOD_UNSPECIFIED",
"url": "<string>",
"api_key": "<string>",
"basic_auth": {
"password": "<string>",
"username": "<string>"
},
"custom_headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"disable_hmac": true,
"hmac_shared_secret": "<string>"
}
},
"custom_template": {
"template_type": "CUSTOM_TEMPLATE_TYPE_UNSPECIFIED",
"email_template": {
"open_action_template": "<string>",
"resolve_action_template": "<string>",
"update_action_template": "<string>"
},
"prcomments_template": {
"findings_summary_template": "<string>"
},
"slack_template": {
"open_action_template": "<string>",
"update_action_template": "<string>"
},
"webhook_template": {
"open_action_template": "<string>",
"resolve_action_template": "<string>",
"update_action_template": "<string>"
}
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
Indicates actions taken when a corresponding notification is raised.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Indicates whether the object should be visible in the child namespaces or not.
Notification Targets are associated with a tenant.
Response
A successful response.
Indicates actions taken when a corresponding notification is raised.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Indicates whether the object should be visible in the child namespaces or not.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the notification target.
Was this page helpful?
